Bug 212850 - "TypeError: not enough arguments for format string" with debuglevel=5
"TypeError: not enough arguments for format string" with debuglevel=5
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-10-29 12:55 EST by Mads Kiilerich
Modified: 2014-01-21 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-15 23:07:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2006-10-29 12:55:21 EST
Description of problem:

Stacktrace is shown - but yum seems to continue anyway

Version-Release number of selected component (if applicable):


How reproducible:

Always when relevant LOC is reached, ie with debuglevel=5

Steps to Reproduce:
Currently I get it at "yum install Helix*", but saw it with "yum upgrade" as well.

Actual results:

reduced installs :
Traceback (most recent call last):
  File "/usr/lib/python2.4/logging/__init__.py", line 731, in emit
    msg = self.format(record)
  File "/usr/lib/python2.4/logging/__init__.py", line 617, in format
    return fmt.format(record)
  File "/usr/lib/python2.4/logging/__init__.py", line 405, in format
    record.message = record.getMessage()
  File "/usr/lib/python2.4/logging/__init__.py", line 276, in getMessage
    msg = msg % self.args
TypeError: not enough arguments for format string

Expected results:

reduced installs :
   HelixPlayer-plugin.i386 1:1.0.7-4.fc6

Additional info:
Seems to be fixed by
--- /usr/share/yum-cli/cli.py.org       2006-10-29 18:25:02.000000000 +0100
+++ /usr/share/yum-cli/cli.py   2006-10-29 18:28:09.000000000 +0100
@@ -599,7 +599,7 @@
         if len(pkglist) > 0:
             self.verbose_logger.debug('reduced installs :')
         for po in pkglist:
-            self.verbose_logger.debug('   %s.%s %s:%s-%s', po.pkgtup)
+            self.verbose_logger.debug('   %s.%s %s:%s-%s', *po.pkgtup)
         if len(passToUpdate) > 0:
Comment 1 Michal Jaegermann 2006-11-11 20:25:47 EST
I got the same "TypeError:" every time I tried '-d 7' with yum-3.0-6.
Comment 2 Jeremy Katz 2006-11-15 23:07:47 EST
Commited to upstream CVS, will be in 3.0.2.  Thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.